Ubuntu

[snb] GPU lockup IPEHR: 0x0b160001 IPEHR: 0x0b140001, workaround i915.semaphores=0

Reported by Rocko on 2012-08-26
888
This bug affects 218 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
In Progress
Medium
linux (Ubuntu)
Low
Unassigned
sandybridge-meta (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
High
Timo Aaltonen

Bug Description

X locks up periodically for a 2 to ten seconds at a time and this crash log gets generated. It's significantly more than several times a day but not quite continuous. If you indeed have this bug, that should stop the lockups from happening. Irrespective, please file a new bug report so your hardware may be tracked.

WORKAROUND: Edit your /etc/default/grub from:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

to:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash i915.semaphores=0"

run the following and reboot:
sudo update-grub

The side effects of this is rendering throughput is dropped by 10% with SNA, or as much as 3x with UXA. OpenGL performance is likely to be reduced by about 30%. More CPU time is spent waiting for the GPU with rc6 disabled, so increased power consumption.

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: xserver-xorg-video-intel 2:2.20.3-0ubuntu1
Uname: Linux 3.6.0-rc3-git-20120826.1015 x86_64
ApportVersion: 2.5.1-0ubuntu2
Architecture: amd64
Chipset: sandybridge-m-gt2
Date: Sun Aug 26 16:06:32 2012
DistroCodename: quantal
DistroVariant: ubuntu
DuplicateSignature: [sandybridge-m-gt2] GPU lockup IPEHR: 0x0b160001 IPEHR: 0x0b140001 Ubuntu 12.10
EcryptfsInUse: Yes
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
GpuHangFrequency: Continuously
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120724.2)
InterpreterPath: /usr/bin/python3.2mu
MachineType: Dell Inc. Dell System XPS L502X
ProcCmdline: /usr/bin/python3 /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.6.0-rc3-git-20120826.1015 root=UUID=135c8090-427c-460a-909d-eff262cd44b6 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 xserver-xorg 1:7.7+1ubuntu3
 libdrm2 2.4.38-0ubuntu2
 xserver-xorg-video-intel 2:2.20.3-0ubuntu1
SourcePackage: xserver-xorg-video-intel
Title: [sandybridge-m-gt2] GPU lockup IPEHR: 0x0b160001 IPEHR: 0x0b140001
UdevDb: Error: [Errno 2] No such file or directory: 'udevadm'
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 05/29/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A11
dmi.board.name: 0NJT03
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA11:bd05/29/2012:svnDellInc.:pnDellSystemXPSL502X:pvr:rvnDellInc.:rn0NJT03:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Dell System XPS L502X
dmi.sys.vendor: Dell Inc.

Rocko (rockorequin) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
tags: removed: need-duplicate-check
22 comments hidden view all 218 comments

Created attachment 66289
dmesg output

From time to time interface freezes, and in dmesg appear these records: [drm:i915_hangcheck_ring_idle] *ERROR* Hangcheck timer elapsed... blitter ring idle

$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 82801 PCI Bridge (rev b5)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b5)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation H61 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
02:00.0 PCI bridge: ASMedia Technology Inc. Device 1080 (rev 01)
03:01.0 Multimedia audio controller: VIA Technologies Inc. VT1720/24 [Envy24PT/HT] PCI Multi-Channel Audio Controller (rev 01)
04:00.0 Ethernet controller: Atheros Communications AR8151 v2.0 Gigabit Ethernet (rev c0)
05:00.0 USB Controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
06:00.0 SATA controller: ASMedia Technology Inc. Device 0612 (rev 01)

21 comments hidden view all 218 comments
Bryce Harrington (bryce) wrote :

Does switching from UXA to SNA help?

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Medium
Rocko (rockorequin) wrote :

Ha! I thought SNA was turned on by default, but it isn't, is it. Is it possible to switch between SNA and UXB on when X is running, or to tell which one is being used?

I've turned SNA on via AccelMethod in xorg.conf now, so I'll see if the freezes go away.

Since I restarted X with SNA, the titlebar of windows that don't have the focus change their background to light grey. The window buttons and the title text stay the same, which looks weird. Is that something that can be configured?

Rocko (rockorequin) wrote :

Is SNA turned on by default now? I had a couple of hours freeze-free with it the other day, but removed my xorg.conf shortly afterwards because the white titlebars and glitchy 3D graphics were annoying, and also because with SNA enabled the backlight didn't come on after the screensaver turned it off. But now the titlebars are white again.

Bryce Harrington (bryce) wrote :

SNA is not the default for quantal. No, there is not a way to toggle between UXA and SNA at run time. /var/log/Xorg.0.log is where to look to see which acceleration tech is active.

If I understand your testing feedback, you do believe SNA helps eliminate the freeze behaviors, and thus we can consider UXA the likely source of the bug.

Rocko (rockorequin) wrote :

Yes, I think the bug doesn't happen with SNA whereas it occurs pretty regularly with UXA. I've been using SNA for a couple of days now since it became the default on my system. Does X now look for other xorg.conf files? I created one called /etc/X11/xorg.conf-intel-sna and symlinked to it to test out SNA; then I deleted the symlink, and a day or two later suddenly SNA became the default.

Rocko (rockorequin) wrote :

Ah, I am using xorg-edgers. Perhaps they are trying out SNA as the default there.

Rocko (rockorequin) wrote :

I've been using SNA for a couple of weeks now, and it doesn't seem to suffer from this particular bug.

The bug still occurs in the latest xf86-video-intel driver from git (as of 27/9/12), though. It generally occurs when focus changes, eg when a menu or popup window is opening.

Ursula Junque (ursinha) wrote :

Hi Bryce, I've been getting this error every once in a while and when it happens, apport tries to report the bug like ten times. Let me know if I can provide more information about it.

Cheers,

Ursula Junque (ursinha) wrote :

I've filed another bug with apport and all my files are attached there: bug 1059737, just in case they're not duplicates.

Paul Smedley (paul-smedley) wrote :

Switching from UXA to SNA fixes this for me too, on an Asus Zenbook UX31E

Dimitri John Ledkov (xnox) wrote :

I am hitting this bug. Can somebody please explain how to check if I am using UXA or SNA and how to switch between the two? If SNA helps, and I am using UXA I'd like to try SNA.

Rocko (rockorequin) wrote :

@Dmitrijs: To find which method is being used, do:

grep AccelMethod /var/log/Xorg.0.log

I find also that the titlebars of non-focused windows are often light grey instead of black when using SNA.

And to change methods, put this in your xorg.conf to set the acceleration method and then restart X:

Section "Device"
 Identifier "Card0"
 Driver "intel"
 Option "AccelMethod" "sna" # or uxa, as appropriate
EndSection

11 comments hidden view all 218 comments

If you can easily reproduce this error, can you please build a kernel using http://cgit.freedesktop.org/~ickle/linux-2.6/log/?h=xv-overlay which has some revised memory barriers.

Can you help me to build rpm for fedora?

11 comments hidden view all 218 comments
Rocko (rockorequin) wrote :

I still experience this bug, even with the latest intel driver from git, xf86-video-intel-2.6.99.902. I would use SNA but it has an even more annoying bug after the screen saver unlocks where unity just shows me a black screen and mouse cursor, and I have to physically restart unity to get it working again.

12 comments hidden view all 218 comments

On second thoughts, I think this should be fixed by the slight robustification in more recent hangcheck.

Please try the latest kernel for your distribution (should be 3.6.7 atm) and reopen if it still occurs.

I am use Fedora 18 with 3.6.7-5.fc18.i686 kernel and in dmesg output still exists message:
[22826.654365] [drm:i915_hangcheck_hung] *ERROR* Hangcheck timer elapsed... GPU hung
[22826.654369] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state

That is not the same bug, so you need to attach a fresh set of debug info (please remember the i915_error_state)...

Please, explain how get needed debug info. Thanks.

http://intellinuxgraphics.org/how_to_report_bug.html

From which we need the i915_error_state, so

$ sudo mount -tdebugfs debug /sys/kernel/debug
$ sudo cat /sys/kernel/debug/dri/0/i915_error_state > i915_error_state

Created attachment 70518
i915_error_state

Looks that corresponds to the bug

commit 1c8b46fc8c865189f562c9ab163d63863759712f
Author: Chris Wilson <email address hidden>
Date: Wed Nov 14 09:15:14 2012 +0000

    drm/i915: Use LRI to update the semaphore registers

    The bspec was recently updated to remove the ability to update the
    semaphore using the MI_SEMAPHORE_BOX command, the ability to wait upon
    the semaphore value remained. Instead the advice is to update the
    register using the MI_LOAD_REGISTER_IMM command. In cursory testing,
    semaphores continue to function - the question is whether this fixes
    some of the deadlocks where the semaphore registers contained stale
    values?

hopefully addresses.

That patch is only available on drm-intel-next at the moment, which is available either at http://cgit.freedesktop.org/~danvet/drm-intel or available as drm-intel-experimental in the ubuntu kernel-ppa.

Karma Dorje (taaroa) on 2012-11-28
tags: added: raring
17 comments hidden view all 218 comments
Timo Aaltonen (tjaalton) wrote :

I've uploaded -intel 2.20.14 to raring, so please test with both UXA and SNA to see if either or both work.

Rocko: I can't reproduce your bug with SNA (with this new version anyway), works fine on my T420s. 2.6.99.902 sounds old too :)

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Rocko (rockorequin) wrote :

Yes, I've been running v2.20.14 from git (using SNA, not UXA) for a few days on Quantal and so far I hasn't seen that other bug I mentioned - it hasn't fatally locked up after the screensaver kicks in. However, it has experienced *this* particular bug a few times, ie where the screen locks but I can fix it by switching to a tty terminal and back.

Re 2.6.99.902, I think I probably did a git tag command and looked at the last entry, which is definitely old. I would have been running a pre-v2.20.14 version at the time.

Karma Dorje (taaroa) wrote :

@Timo Aaltonen
SNA — ok. looks like some sort of regression in the driver.

Bryce Harrington (bryce) wrote :

Rocko, thanks for testing the git DDX. Next time you get one of these freezes can you please collect a fresh i915_error_state, dmesg, and Xorg.0.log?

Sounds like this bug should go upstream.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
15 comments hidden view all 218 comments

Problem repeated with patched kernel.

[118637.439016] [drm:i915_hangcheck_hung] *ERROR* Hangcheck timer elapsed... GPU hung
[118637.439020] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
[mikhail@localhost ~]$ uname -a
Linux localhost.localdomain 3.6.9-4.1.fc18.i686.PAE #1 SMP Wed Dec 5 15:16:33 UTC 2012 i686 i686 i386 GNU/Linux
[mikhail@localhost ~]$ sudo cat /sys/kernel/debug/dri/0/i915_error_state > i915_error_state
[sudo] password for mikhail:
[mikhail@localhost ~]$

Created attachment 71192
i915_error_state (new)

sudo cat /sys/kernel/debug/dri/0/i915_error_state > i915_error_state-8
cat: /sys/kernel/debug/dri/0/i915_error_state: Cannot allocate memory

What it mean??

Created attachment 71199
i915_error_state (new)

Created attachment 71200
dmesg output (new)

Lalalalala.

19 comments hidden view all 218 comments
bugbot (bugbot) wrote :

We're closing this bug since there has not been a response from the original reporter. However, the issue still exists please feel free to reopen with the requested information. If you're not the original reporter, we'd prefer you file a new bug report.

Some tips:

  * Report X.org bugs via the command: `ubuntu-bug xorg`

  * Test against the latest development Ubuntu. http://cdimage.ubuntu.com/daily-live/
    Bugs marked as affecting the development version tend to get priority attention.

  * The `xdiagnose` utility has functionality for enabling debugging and
    analyzing a few common X problems.

  * Tag your bugs with the Ubuntu versions you have reproduced the issue in.

  * See https://wiki.ubuntu.com/X/Reporting for tips on writing good bug reports.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Expired
Adam Conrad (adconrad) on 2013-01-08
Changed in xserver-xorg-video-intel (Ubuntu):
status: Expired → Confirmed
Timo Aaltonen (tjaalton) on 2013-01-09
Changed in xserver-xorg-video-intel (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
status: Confirmed → Incomplete
2 comments hidden view all 218 comments
Rocko (rockorequin) wrote :

I've seen it happen with kernel 3.8-rc2 and SNA using the latest intel driver from git.

The hang isn't always the same:

* Sometimes it locks the computer up completely, requiring a hard reboot.

* Sometimes it locks X, but CTRL-ALT-F1 and back unlocks it.

* Sometimes it resolves itself without me even noticing that it has happened, other than that there may be some corruption in the tabs' title text in chrome and window movement has become somewhat jerky instead of the normal smooth movement you get after restarting X.

Next time it happens I'll see if I can recover any information.

Adam Conrad (adconrad) wrote :

Timo: I've never had it completely hang the machine, but I've also not been patient enough to sit around and wait to see if X will eventually recover on its own, I always do a VT switch out and back (and get welcomed by an apport dialog)

Has happened several times today. Will be upgrading to 3.8.0-rc soon to see if that helps, but the comment above me doesn't give much hope.

Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
status: Unknown → Confirmed
Timo Aaltonen (tjaalton) on 2013-01-22
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Medium → High
status: Incomplete → Triaged
Timo Aaltonen (tjaalton) on 2013-01-22
Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Confirmed
Bryce Harrington (bryce) on 2013-02-04
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
Chris Wilson (ickle) on 2013-02-25
summary: - [sandybridge-m-gt2] GPU lockup IPEHR: 0x0b160001 IPEHR: 0x0b140001
+ [snb] GPU lockup IPEHR: 0x0b160001 IPEHR: 0x0b140001, workaround
+ i915.semaphores=0
Bryce Harrington (bryce) on 2013-03-02
Changed in linux (Ubuntu):
importance: Undecided → High
Brad Figg (brad-figg) on 2013-03-02
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Changed in sandybridge-meta (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2013-04-05
description: updated
description: updated
description: updated
description: updated
Bryce Harrington (bryce) on 2013-04-05
description: updated
Bryce Harrington (bryce) on 2013-04-05
Changed in linux (Ubuntu):
status: Invalid → New
Brad Figg (brad-figg) on 2013-04-05
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in xserver-xorg-video-intel:
status: Confirmed → Incomplete
Changed in xserver-xorg-video-intel:
status: Incomplete → Confirmed
Bryce Harrington (bryce) on 2013-04-22
tags: added: kernel-handoff-graphics
Changed in xserver-xorg-video-intel:
status: Confirmed → Incomplete
Changed in xserver-xorg-video-intel:
status: Incomplete → Confirmed
Alan Pope ㋛ (popey) on 2013-09-08
description: updated
154 comments hidden view all 218 comments

(In reply to comment #112)
> Just a few remarks.
> I still see this bug with Kernel 3.8, Mesa 9.2.1 and DRI 2.99.904.
> Moreover, with switching from Mesa 9.1.x to Mesa 9.2.x the number of lockups
> highly increased (especially in games).

On snb the blorp engine in mesa has become a bit more hang-happy, see bug #70151
Not all gpu hangs are created equal ;-)

> Additionally with running the latest drivers complete system lockups are
> gone, but it's still a lockup for multiple seconds with following VT
> switching.

You mean a gpu hang happens while when doing a vt switch?

(In reply to comment #113)
> On snb the blorp engine in mesa has become a bit more hang-happy, see bug
> #70151
> Not all gpu hangs are created equal ;-)
>

Actually it was on Sandybridge.

> You mean a gpu hang happens while when doing a vt switch?

No I meant, if you suffer a lockup you just have to wait a few seconds and switch to another VT and back, then you can resume with your system (although sometimes fonts are broken).

Created attachment 87857
i915_error_state

I also met this bug while I was watching video in mplayer. It every 1-2 hours.

[40787.765816] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
[40787.765852] [drm] capturing error event; look for more information in /sys/kernel/debug/dri/0/i915_error_state
[40787.772361] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x1fb63000 ctx 1) at 0x1fb63220

Created attachment 87858
X -version output

(In reply to comment #115)
> Created attachment 87857 [details]
> i915_error_state
>
> I also met this bug while I was watching video in mplayer. It every 1-2
> hours.
>
> [40787.765816] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
> [40787.765852] [drm] capturing error event; look for more information in
> /sys/kernel/debug/dri/0/i915_error_state
> [40787.772361] [drm:i915_set_reset_status] *ERROR* render ring hung inside
> bo (0x1fb63000 ctx 1) at 0x1fb63220

This looks like bug #70151, but is definitely not this bug here.

Thomas Mayer (thomas303) wrote :

It seems that ubuntu 12.04.3 is also affected.

I get the error using ubuntu 12.04.3 (after upgrading from 12.04.2 in the last days):
Oct 28 18:43:29 localhost kernel: [31236.041655] [drm:i915_hangcheck_hung] *ERROR* Hangcheck timer elapsed... GPU hung
Oct 28 18:43:29 localhost kernel: [31236.041664] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
Oct 28 18:43:32 localhost kernel: [31239.040790] [drm:i915_hangcheck_hung] *ERROR* Hangcheck timer elapsed... GPU hung
Oct 28 18:43:32 localhost kernel: [31239.041127] [drm:i915_reset] *ERROR* GPU hanging too fast, declaring wedged!
Oct 28 18:43:32 localhost kernel: [31239.041132] [drm:i915_reset] *ERROR* Failed to reset chip.
Oct 28 18:43:38 localhost gnome-session[3983]: WARNING: App 'gnome-wm.desktop' respawning too quickly
Oct 28 18:43:38 localhost gnome-session[3983]: CRITICAL: We failed, but the fail whale is dead. Sorry....

Kernel version:
3.8.0-32-generic #47~precise1-Ubuntu SMP Wed Oct 2 16:19:35 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

xserver-xorg-video-intel-lts-raring version 2:2.21.6-0ubuntu4.1~precise1

For me the error occurs when I move the mouse cursor in the PhpStorm IDE, which is based on oracle java (I use version 1.8). The error occurs every few hours when working with PhpStorm 7.0

Mathias Dietrich (theghost) wrote :

@thomas303: Since 12.04.3 uses the video stack and kernel of Raring it's no wonder that it's also affected.
If you didn't have the errors before 12.04.3 you can still revert to the video stack / kernel of 12.04.2 (Quantal) or 12.04 (Precise).

Alan Pope ㋛ (popey) wrote :

I have been running kernel 3.12.0-031200rc6-generic for a while now and in 8 days uptime I haven't had any lockups that I recall. Previously on older kernels on 13.10 I would get more than one lockup a day, sometimes many a day.

Mathias Dietrich (theghost) wrote :

@popey:

I tested kernel 3.12.0-031200rc7-generic with Mesa 9.2.2 and xf86-video-intel-2.99.905 running Dota 2 which, is a useful test case to produce hangs and I can assure that there are still plenty lockups. Only the output differs now:

[ 2937.818867] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x1c703000 ctx 1) at 0x1c7037e0
[ 2943.810157] [drm] stuck on render ring
[ 2943.810208] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x7a57000 ctx 1) at 0x5c
[ 3152.914976] [drm] stuck on render ring
[ 3152.915045] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x7549000 ctx 1) at 0x7549288
[ 3568.158967] [drm] stuck on render ring
[ 3568.174992] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x12d63000 ctx 1) at 0x12d637e0
[ 3568.175030] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x1b78f000 ctx 1) at 0x12d637e0
[ 3839.310462] [drm] stuck on render ring
[ 3839.310463] [drm] stuck on blitter ring
[ 4292.575683] [drm] stuck on render ring
[ 4292.575684] [drm] stuck on blitter ring

So it's still in the kernel. ;)

Created attachment 89314
i915_error_state (kernel 3.11.6, mesa 9.2.2, xf86-video-intel 2.99.906)

GPU hangs after playing hedgewars for a few minutes. Thinkpad T420 laptop, i5-2520M.
dmesg error message:
[16901.286432] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
[16901.286441] [drm:i915_hangcheck_elapsed] *ERROR* stuck on blitter ring
[16901.286444] [drm] capturing error event; look for more information in /sys/kernel/debug/dri/0/i915_error_state
[16908.287504] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
[16908.287508] [drm:i915_hangcheck_elapsed] *ERROR* stuck on blitter ring

Mathias Dietrich (theghost) wrote :

If you have these problems running Dota 2, you should try Mesa Git or wait for Mesa 10. It contains several patches to remove lockups.
For me on Dota 2 the lockups are completely gone, probably they're also gone in other applications.

*** Bug 71890 has been marked as a duplicate of this bug. ***

*** Bug 72048 has been marked as a duplicate of this bug. ***

*** Bug 72829 has been marked as a duplicate of this bug. ***

Rocko, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

If reproducible, could you also please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc7

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

description: updated
tags: added: bios-outdated-a12
Changed in linux (Ubuntu):
importance: High → Low
status: Confirmed → Incomplete
tags: added: needs-upstream-testing regression-potential

On 8 January 2014 07:20, Christopher M. Penalver
<email address hidden> wrote:

> Rocko, this bug was reported a while ago and there hasn't been any
> activity in it recently. We were wondering if this is still an issue? If
> so, could you please test for this with the latest development release
> of Ubuntu? ISO images are available from http://cdimage.ubuntu.com
> /daily-live/current/ .

Hi Christopher, I'm not Rocko, but haven't had any trouble with this
bug on Debian of late.

Hamish.
--
http://About.me/Hamish.MacEwan

*** Bug 73659 has been marked as a duplicate of this bug. ***

Created attachment 92710
i915_error_state

I'm also getting regular Sandybridge GPU lockups with Mesa 10.0.1 and Linux kernel 3.13.

dmesg output:

[ 918.876872] [drm] stuck on render ring
[ 918.876876] [drm] stuck on blitter ring
[ 918.876878] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 918.876879] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 918.876879] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 918.876880] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 918.876880] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 932.923240] [drm] stuck on render ring
[ 932.923242] [drm] stuck on blitter ring

Unfortunately the crash dump doesn't help - it's an empty file!

*** Bug 74180 has been marked as a duplicate of this bug. ***

*** Bug 74265 has been marked as a duplicate of this bug. ***

*** Bug 74452 has been marked as a duplicate of this bug. ***

*** Bug 74473 has been marked as a duplicate of this bug. ***

Adam Conrad (adconrad) wrote :

This is still happening (although very infrequently) on current trusty. I just hit it this morning.

*** Bug 74867 has been marked as a duplicate of this bug. ***

Steven Goris (sg-steven13) wrote :

I experience this bug on Linux Mint 16 Cinnamon. It drives me crazy. My computer hangs approx every 2 hours. I tried the fix in grub. I hope it works as a temporary fix, because I can't work like this on my computer.
Linux 3.11.0-15-generic

no longer affects: linuxmint
Tero Ratilainen (unksi) wrote :

I found it a big help to switch to tty1 with ctrl+alt+F1 and then back with ctrl+alt+F7/F8. This would make it return to normal a lot faster, and unstuck it most of the times it seems to be totally stuck.

*** Bug 75163 has been marked as a duplicate of this bug. ***

Spect (al106208) wrote :

I experience this bug on Ubuntu 12.04.4.
System: Ubuntu 12.04.4 LTS x86_64
Kernel: 3.11.0-17-generic DE: Unity Session: ubuntu
Use: xserver-xorg-video-intel-lts-saucy vers.2:2.99.904-0ubuntu2.1~precise1
----------------------------------
Processor: Intel(R) Core(TM) i3-2100T CPU @ 2.50GHz Memory (Gb): 7.53
Video: 00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) Subsystem: Gigabyte Technology Co., Ltd Device d000 Kernel driver in use: i915
----------------------------------
kern.log:
Feb 28 15:24:44 specttop kernel: [42677.565850] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x1c85f000 ctx 1) at 0x1c85f220
Feb 28 15:24:44 specttop kernel: [42677.565904] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x4d8f000 ctx 0) at 0x1c85f220

Created attachment 95090
Another version of the same hang - directed here from bug 75502

*** Bug 75999 has been marked as a duplicate of this bug. ***

Changed in xserver-xorg-video-intel:
status: Confirmed → In Progress

*** Bug 76408 has been marked as a duplicate of this bug. ***

*** Bug 76677 has been marked as a duplicate of this bug. ***

*** Bug 76801 has been marked as a duplicate of this bug. ***

For what its worth, running 3.13.7 greatly mitigates this bug, to where the dead time is barely noticeable. It happened three times in short order here and I didn't notice any of them:

[ 4562.551141] [drm:ring_stuck] *ERROR* Kicking stuck semaphore on render ring
[ 4582.530028] [drm:ring_stuck] *ERROR* Kicking stuck semaphore on render ring
[ 4633.476199] [drm:ring_stuck] *ERROR* Kicking stuck semaphore on render ring

*** Bug 77043 has been marked as a duplicate of this bug. ***

*** Bug 77058 has been marked as a duplicate of this bug. ***

My stuck ring faults are completely gone with i915.i915_enable_rc6=0. Fan stays on a bit more (subjectively) seems to be the only side effect. HP Pavilion dv6 (Sandybridge).

Oh that's interesting. We might be able to find a register to prevent rc6 whilst waiting on a semaphore. (Hmm, too bad it isn't ivb or we could just frob forcewake directly.)

(In reply to comment #139)
> Oh that's interesting. We might be able to find a register to prevent rc6
> whilst waiting on a semaphore. (Hmm, too bad it isn't ivb or we could just
> frob forcewake directly.)

Happy to test patches. I'm updating to 3.13.9 tonight. I could add something on top if you have ideas. If you need more info than my attachment to #76801 just let me know.

*** Bug 77147 has been marked as a duplicate of this bug. ***

Displaying first 40 and last 40 comments. View all 218 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.